import * as autoscaling from '@aws-cdk/aws-autoscaling';
import * as sqs from '@aws-cdk/aws-sqs';
import { Construct } from '@aws-cdk/core';
/**
 * Use an SQS queue as a hook target.
 */
export declare class QueueHook implements autoscaling.ILifecycleHookTarget {
    private readonly queue;
    /**
     *
     */
    constructor(queue: sqs.IQueue);
    /**
     * Called when this object is used as the target of a lifecycle hook.
     */
    bind(_scope: Construct, lifecycleHook: autoscaling.ILifecycleHook): autoscaling.LifecycleHookTargetConfig;
}
